Embedded Tax API
Tax Engine
Server-to-server partner endpoints under https://api.awaken.tax/api.
GET
/users/{referenceId}/preview
Retrieve a tax preview
| Status | Meaning |
|---|---|
200 | Capital gains, income, futures, and transaction count |
404 | The resource was not found for the authenticated partner |
curl
curl -X GET "https://api.awaken.tax/api/users/:referenceId/preview" \-H "x-client-id: $AWAKEN_CLIENT_ID" \-H "x-api-secret: $AWAKEN_API_SECRET" \-H "content-type: application/json"
POST
/users/{referenceId}/refresh
Start ledger recalculation
| Status | Meaning |
|---|---|
200 | Recalculation job started |
404 | The resource was not found for the authenticated partner |
curl
curl -X POST "https://api.awaken.tax/api/users/:referenceId/refresh" \-H "x-client-id: $AWAKEN_CLIENT_ID" \-H "x-api-secret: $AWAKEN_API_SECRET" \-H "content-type: application/json"
GET
/users/{referenceId}/active-recalculate-job
Retrieve the active recalculation job
| Status | Meaning |
|---|---|
200 | Active job, or null when settled |
404 | The resource was not found for the authenticated partner |
curl
curl -X GET "https://api.awaken.tax/api/users/:referenceId/active-recalculate-job" \-H "x-client-id: $AWAKEN_CLIENT_ID" \-H "x-api-secret: $AWAKEN_API_SECRET" \-H "content-type: application/json"